Get
curl --request GET \
--url https://api.korve.dev/v1/orgs/{orgId}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korve.dev/v1/orgs/{orgId}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 1,
"organization": "<string>",
"projects": [
{
"name": "<string>",
"slug": "<string>",
"region": "<string>",
"git": {
"repo": "<string>",
"ref": "<string>"
},
"env": {},
"environments": {},
"domains": [
"<string>"
],
"storage": [
{
"name": "<string>",
"region": "<string>"
}
],
"queues": [
{
"name": "<string>",
"environment": "<string>",
"retentionSeconds": 123,
"deliveryDelaySeconds": 123,
"deadLetterQueue": "<string>",
"paused": true,
"consumer": {
"path": "<string>",
"maxBatchSize": 123,
"maxBatchWaitSeconds": 123,
"maxRetries": 123,
"retryDelaySeconds": 123,
"maxConcurrency": 123
}
}
],
"crons": [
{
"name": "<string>",
"environment": "<string>",
"schedule": "<string>",
"target": {
"kind": "http",
"path": "<string>",
"body": "<unknown>"
},
"timezone": "<string>",
"enabled": true,
"retry": {
"maxAttempts": 123,
"initialDelaySeconds": 123,
"maxDelaySeconds": 123
},
"timeoutSeconds": 420
}
],
"databases": [
{
"name": "<string>",
"sku": "<string>",
"region": "<string>",
"environment": "<string>",
"backup": {
"pitrDays": 123,
"dailyDays": 123,
"weeklyWeeks": 123,
"monthlyMonths": 123,
"destinationIds": [
"<string>"
],
"copyRegions": [
"<string>"
]
}
}
],
"databaseBranch": {
"sourceEnvironment": "<string>",
"sourceDatabase": "<string>",
"expiresInDays": 123,
"deleteOnPreviewClose": true
},
"alerts": [
{
"name": "<string>",
"scope": {
"environment": "<string>",
"database": "<string>",
"queue": "<string>",
"cron": "<string>"
},
"condition": {
"threshold": 123,
"durationSeconds": 123
},
"channels": [
{
"kind": "dashboard",
"destination": null
}
],
"enabled": true,
"cooldownSeconds": 123
}
],
"access": {
"environments": {}
}
}
]
}manifest
Get
Export the organization’s current state as a manifest document (env values masked).
GET
/
v1
/
orgs
/
{orgId}
/
manifest
Get
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
Response
200 - application/json
The current state as a manifest.
⌘I